> For the complete documentation index, see [llms.txt](https://developer.magtek.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.magtek.com/hardware/card-readers/mms-dyna-devices/dynaflex-ii-go/documents/user-manuals/magneflex-browser-developer-tool-programmers-reference-web-api/magneflex-browser-web-api-resources/requestpin-pinpad-only.md).

# requestPIN (PinPad Only)

This query string instructs the device to prompt for a PIN.

{% code overflow="wrap" %}

```
?operation= 
&httpMethod= 
&closeDeviceAfter= 
&readerArgument= 
&destinationURL= 
&requestLocation= 
&passInData=
```

{% endcode %}

<table data-header-hidden><thead><tr><th valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Parameter</td><td valign="top">Description</td></tr><tr><td valign="top">operation</td><td valign="top"><p>Operation to request from MagneFlex. Use:</p><p>requestPIN</p></td></tr><tr><td valign="top">httpMethod</td><td valign="top"><p>HTTP method to be used for the HTTP postback from MagneFlex. Use:</p><p>GET - returns the response data in the form of a query string. POST – recommended for EVM related transactions to accommodate limits on query string lengths.</p></td></tr><tr><td valign="top">closeDeviceAfter</td><td valign="top"><p>Flag to close the device after the request. Use:</p><p>true – close device</p><p>false – do not close the device</p></td></tr><tr><td valign="top">readerArgument</td><td valign="top"><p>Data to send for the device to be passed to MagneFlex. Arguments:</p><p>timeLimit:, fieldseparator:, pinOption:, maxpinlength:, minpinlength:, tone:,</p><p>pinmode:, endSession:</p><p>Argument details:</p><p>timeLimit - Seconds to wait before the operation times out. Value is in hexadecimal format.</p><p>(1 - 255)</p><p> </p><p>fieldseparator - Delimiter to separate the output data.</p><p> </p><p>pinOption - PIN verification and format:</p><p>0 = ISO0 Format, No verify PIN</p><p>1 = ISO3 Format, No verify PIN</p><p>2 = ISO0 Format, Verify PIN</p><p>3 = ISO3 Format, Verify PIN</p><p> </p><p>maxpinlength – Max PIN length in hexadecimal format. (&#x3C;= 0C)</p><p> </p><p>minpinlength – Min PIN length in hexadecimal format. (>= 04)</p><p> </p><p>tone – Beep behavior of prompt:</p><p>0 = None</p><p>1 = Single beep</p><p>2 = Double beep</p><p> </p><p>pinmode - Message to display as a user prompt:</p><p>0 = PINMsgEnterPIN</p><p>1 = PINMsgEnterPINAmt</p><p>2 = PINMsgReenterPINAmt</p><p>3 = PINMsgReenterPIN</p><p>4 = PINMsgVerifyPIN</p><p> </p><p>endSession - Flag to end the session for the device. Default value is true.</p><p>“true” = End the session after the request is processed.</p><p>“false” = Do not end the session after the request is processed.</p></td></tr><tr><td valign="top">destinationURL</td><td valign="top">MagneFlex will send the postback to this URL.</td></tr><tr><td valign="top">requestLocation</td><td valign="top"><p>Flag to send GPS location of the device from which Magneflex (iOS only) is hosted.</p><p>Use:</p><p>true – send location</p><p>false – do not send location</p></td></tr><tr><td valign="top">passInData</td><td valign="top">Optional data to send to MagneFlex. This data will be passed back to the web app.</td></tr></tbody></table>

Each input parameter supplied in the request is delimited by an ampersand character ‘&’, and the value for a parameter begins after an equal character ‘=’. Where ever a parameter contains multiple values, each are delimited by a comma character ‘,’.

**Example query:**

{% code overflow="wrap" %}

```
https://192.168.10.100/magneflexdemo/default.aspx? 
operation=requestPIN
&httpMethod=GET 
&closeDeviceAfter=true 
    &readerArgument=
    timeLimit:3C, 
    fieldseparator:|, 
    pinOption:00, 
    maxpinlength:0C, 
    minpinlength:04, 
    pinmode:00, 
    endSession:true
&destinationURL=https://192.168.10.100/magneflexdemo/cardpostback.asp 
&requestLocation=false
&passInData=testData
```

{% endcode %}

**Return Value:**

The Response output in Hex string format of device raw response for this command.

<table data-header-hidden><thead><tr><th width="154.9090576171875" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Parameter</td><td valign="top">Description</td></tr><tr><td valign="top">errorCode</td><td valign="top">Error status. 0 is Success. Non-Zero is an error.</td></tr><tr><td valign="top">errorMessage</td><td valign="top">Description of the errorCode.</td></tr><tr><td valign="top">opType</td><td valign="top"><p>The type of operation. For this command the value is:</p><p>PIN_RESULT</p></td></tr><tr><td valign="top">operationStatus</td><td valign="top">Status of the operation.</td></tr><tr><td valign="top">pinEPB</td><td valign="top">Encrypted PIN block.</td></tr><tr><td valign="top">pinKSN</td><td valign="top">PIN KSN.</td></tr><tr><td valign="top">passInData</td><td valign="top">Optional data to send to MagneFlex. This data will be passed back to the web app.</td></tr></tbody></table>

**Example**

{% code overflow="wrap" %}

```
https://192.168.10.100/magneflexdemo/cardpostback.aspx?errorCode=0&err orMessage=OK&opType=PIN_RESULT&operationStatus=00&pinEPB=1098FF7ECABD1 1F3&pinKSN=9A006300000001200010&passInData=testData
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.magtek.com/hardware/card-readers/mms-dyna-devices/dynaflex-ii-go/documents/user-manuals/magneflex-browser-developer-tool-programmers-reference-web-api/magneflex-browser-web-api-resources/requestpin-pinpad-only.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
